Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 679 - Can't Ctrl-C system daemons which are stuck on DNS queries
Summary: Can't Ctrl-C system daemons which are stuck on DNS queries
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-release
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-03 22:11 UTC by aa8vb
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-04 20:33:02 UTC


Attachments (Terms of Use)

Description aa8vb 1999-01-03 22:11:38 UTC
Redhat 5.2 system daemons (e.g. sendmail, etc.) cannot
be aborted/skipped by hitting Ctrl-C while they are starting
up like you can on FreeBSD.

Background:  Several system daemons in addition to sendmail
hang for several minutes when DNS is not properly configured
(for example, in the process of setting up a new Redhat
box), so without being able to skip these daemons on
startup, the user has to wait 10-15 minutes before the
machine is usable again, or perform an unsafe boot ("hit
the reset button") and risk file system corruption.
You ought to be able to hit Ctrl-C on the console to
terminate these processes and continue boot-up without
having to wait 1/4 hour to get to the prompt.

Comment 1 David Lawrence 1999-01-04 20:33:59 UTC
Thank you for the suggestion. It has been noted and will be considered
for future Red Hat releases.


Note You need to log in before you can comment on or make changes to this bug.